normLoc {maigesPack} | R Documentation

## Normalise a cDNA Microarray Object

### Description

This function loads a `maigesRaw` object and corrects for location bias.

### Usage

    normLoc(obj=NULL, ...)

### Arguments

`obj` | object of type `maigesRaw` to be normalised.
`...` | additional parameters for function `normalizeWithinArrays` from limma package.

### Details

This function for normalisation is entirely based on the function `normalizeWithinArrays` from limma package. See their help page to known how to setup the parameters correctly. The parameters `layout` and `weights`, are automatically specified by the object `obj` and must not be specified.

### Value

This function returns a `maiges` object.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### See Also

`normalizeWithinArrays` from limma package.

### Examples

    ## Loading the dataset
    data(gastro)

    ## Do the normalization by loess method and span 0.4
    gastro.norm = normLoc(gastro.raw2, span=0.4, method="loess")

    ## Do the same normalization without background subtraction
    gastro.norm = normLoc(gastro.raw2, span=0.4, method="loess", bc.method="none")

[Package maigesPack version 1.4.0 Index]